import { SELECT_DRUG, SET_OTHER_DRUG, SET_DRUG_INFO, SHOW_TREAT, HIDE_TREAT, CLEAR_TREAT, SHOW_DRUG_INFO, HIDE_DRUG_INFO, SET_GENERAL_TREAT, SET_TREATMENT, SET_SURGERY_TREAT, SET_RECOMMEND_BASIC } from '../types/treat'
import { selectDrug, setOtherDrug, setDrugInfo, showTreat, hideTreat, clearTreat, showDrugInfo, hideDrugInfo, setTreatment, setGeneralTreat, setSurgeryTreat, setRecommendBasic } from '../actions/treat'
const initState = {
    show: false, //治疗方案显示隐藏
    showDrugInfo: false, //药品信息显示隐藏
    generalTreat: '',
    surgeryTreat: '',
    treatment: [],
    // treatment:[
    //     {
    //         id:1,
    //         name:"支气管扩张剂",
    //         hasInstroduce:true,
    //         drugs:[
    //             {
    //                 id:2,
    //                 name:"多索茶碱",
    //                 rate:"50%",
    //                 isShow:"1", //1展示，0不展示
    //                 forbidden:"0:正常,1:慎用,2:禁忌",
    //                 hasInstroduce:true,
    //                 selected: false
    //             },
    //             {
    //                 id:3,
    //                 name:"二羟丙茶碱",
    //                 rate:"50%",
    //                 isShow:"0",
    //                 forbidden:"0:正常,1:慎用,2:禁忌",
    //                 hasInstroduce:false,
    //                 selected: false
    //             },
    //             {
    //                 id:4,
    //                 name:"二羟丙茶碱11",
    //                 rate:"50%",
    //                 isShow:"1",
    //                 forbidden:"0:正常,1:慎用,2:禁忌",
    //                 hasInstroduce:false,
    //                 selected: false
    //             }
    //         ]
    //     },
    //     {
    //         id:5,
    //         name:"支气管扩张剂2",
    //         hasInstroduce:true,
    //         drugs:[
    //             {
    //                 id:6,
    //                 name:"多索茶碱2",
    //                 rate:"50%",
    //                 isShow:"1", //1展示，0不展示
    //                 forbidden:"0:正常,1:慎用,2:禁忌",
    //                 hasInstroduce:false,
    //                 selected: false
    //             },
    //             {
    //                 id:7,
    //                 name:"二羟丙茶碱2",
    //                 rate:"50%",
    //                 isShow:"0",
    //                 forbidden:"0:正常,1:慎用,2:禁忌",
    //                 hasInstroduce:true,
    //                 selected: false
    //             }
    //         ]
    //     }
    // ],
    treatDesc:{
        title: '药品推荐',
    }

}


// const initTreat = {
//     show:false,
//     drugTreat:[
//         {
//             type:'支气管扩张剂',
//             druglist:{
//                 common:[
//                     {
//                         name: '多索茶碱',
//                         rate: '80%',
//                         desc: ['这是多索茶碱'],
//                         select: false,
//                     },
//                     {
//                         name: '二羟丙茶碱',
//                         rate: '60%',
//                         desc: ['这是二羟丙茶碱'],
//                         select: false,
//                     }
//                 ],
//                 basic: [
//                    '注意休息，进食富有营养及维生素的流质或半流质食物',
//                    '发热病人注意体液的补充，预防脱水',
//                   ' 有发绀或低氧血症时，应吸入氧气'
//                 ],
//                 otherRecommend: [
//                     {
//                         type: '化痰药（粘液溶解药）',
//                         drugList: [
//                             {
//                                 name: '氨溴索',
//                                 rate: '80%'
//                             }
//                         ]
//                     },
//                     {
//                         type: '糖皮质激素类',
//                         drugList: [
//                             {
//                                 name: '甲泼尼龙',
//                                 rate: '80%'
//                             }
//                         ]
//                     },
//                     {
//                         type: '抗胃酸药（质子泵抑制剂）',
//                         drugList: [
//                             {
//                                 name: '泮托拉唑',
//                                 rate: '80%'
//                             }
//                         ]
//                     }
//                 ]
//             }

//         },
//         {
//             type:'抗生素类（喹诺酮类！）',
//             druglist:{
//                 common:[
//                     {
//                         name: '左氧氟沙星',
//                         rate: '80%',
//                         desc: '',
//                         select: false
//                     },
//                     {
//                         name: '莫西沙星',
//                         rate: '60%',
//                         desc: '',
//                         select: false
//                     }
//                 ],
//                 basic: [

//                 ],
//                 otherRecommend: [
                    
//                 ]
//             }

//         }],
//         treatDesc:{
//             title: '',
//             basic:[],
//             otherRecommend: [],
//             drugDesc:[],
//         }
// }

export default function(state=initState, action){
    switch(action.type) {
        case SELECT_DRUG:
            return selectDrug(state, action);
        case SET_OTHER_DRUG: 
            return setOtherDrug(state, action);
        case SET_DRUG_INFO: 
            return setDrugInfo(state, action);
        case SHOW_TREAT:
            return showTreat(state, action);
        case HIDE_TREAT:
            return hideTreat(state, action);
        case CLEAR_TREAT:
            return clearTreat(state, action);
        case SET_TREATMENT: 
            return setTreatment(state, action);
        case SET_GENERAL_TREAT: 
            return setGeneralTreat(state, action);
        case SET_SURGERY_TREAT: 
            return setSurgeryTreat(state, action);
        case SET_RECOMMEND_BASIC: 
            return setRecommendBasic(state, action);
        case SHOW_DRUG_INFO:
            return showDrugInfo(state, action);
        case HIDE_DRUG_INFO:
            return hideDrugInfo(state, action);
        default:
            return state
    }
}